package sun.swing;

import java.awt.dnd.DropTarget;
import java.awt.dnd.InvalidDnDOperationException;
import java.awt.dnd.peer.DragSourceContextPeer;
import java.awt.dnd.DragGestureEvent;
import java.awt.dnd.DragGestureRecognizer;
import java.awt.dnd.DragGestureListener;
import java.awt.Component;
import java.awt.dnd.DragSource;
import java.awt.Cursor;
import javax.swing.JComponent;

public interface LightweightContent
{
    public abstract JComponent getComponent();
    
    public abstract void paintLock();
    
    public abstract void paintUnlock();
    
    default public void imageBufferReset(int[] array, int n, int n2, int n3, int n4, int n5, int n6) {
        this.imageBufferReset(array, n, n2, n3, n4, n5);
    }
    
    default public void imageBufferReset(int[] array, int n, int n2, int n3, int n4, int n5) {
        this.imageBufferReset(array, n, n2, n3, n4, n5, 1);
    }
    
    public abstract void imageReshaped(int p0, int p1, int p2, int p3);
    
    public abstract void imageUpdated(int p0, int p1, int p2, int p3);
    
    public abstract void focusGrabbed();
    
    public abstract void focusUngrabbed();
    
    public abstract void preferredSizeChanged(int p0, int p1);
    
    public abstract void maximumSizeChanged(int p0, int p1);
    
    public abstract void minimumSizeChanged(int p0, int p1);
    
    default public void setCursor(Cursor cursor) {
    }
    
    default public <T extends DragGestureRecognizer> T createDragGestureRecognizer(Class<T> clazz, DragSource dragSource, Component component, int n, DragGestureListener dragGestureListener) {
        return null;
    }
    
    default public DragSourceContextPeer createDragSourceContextPeer(DragGestureEvent dragGestureEvent) throws InvalidDnDOperationException {
        return null;
    }
    
    default public void addDropTarget(DropTarget dropTarget) {
    }
    
    default public void removeDropTarget(DropTarget dropTarget) {
    }
}
